//CCVisu is a tool for co-change visualization.
//This file is part of CCVisu. 

//Copyright (C) 2005-2006  Dirk Beyer

//CCVisu is free software; you can redistribute it and/or
//modify it under the terms of the GNU Lesser General Public License
//as published by the Free Software Foundation; either
//version 2.1 of the License, or (at your option) any later version.

//CCVisu is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//Lesser General Public License for more details.

//You should have received a copy of the GNU Lesser General Public License
//along with CCVisu; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

//Please find the GNU Lesser General Public License in file
//../license_lgpl.txt or http://www.gnu.org/licenses/lgpl.txt

//Dirk Beyer    (firstname.lastname@epfl.ch)
//Ecole Polytechnique Federale de Lausanne (EPFL), Switzerland


package ccvisu;

import java.io.BufferedReader;

/*****************************************************************
 * Reader for input data.
 * @version  $Revision: 1.6 $; $Date: 2006/11/25 10:31:08 $
 * @author   Dirk Beyer
 *****************************************************************/
public abstract class ReaderData {
  /** Input stream reader object. */
  protected BufferedReader in;

  /**
   * Constructor.
   * @param in  Stream reader object.
   */
  public ReaderData(BufferedReader in) {
    this.in = in;
  }

  /*****************************************************************
   * Reads the graph or layout data from stream reader <code>in</code>.
   * @param graph  <code>GraphData</code> object to store the read graph or layout data in.
   *****************************************************************/
  abstract public void read(GraphData graph);

};

